<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es">
<head>
<title>GlucoDiari - Consulta diari</title>
<meta http-equiv="Content-Type"  content="application/xhtml+xml; charset=utf-8" />
<meta http-equiv="content-language" content="es-ca-gl" />
<meta name="robots" content="noindex,nofollow,noarchive,noodp,nosnippet" />
<style>
body {
font: normal medium/1.4 sans-serif;
color:#555;
}


table {
    border-collapse: collapse;
width: 100%;
    margin-left: auto;
    margin-right: auto;
}
tr > td {
padding: 0.25rem;
    text-align: center;
border: 1px solid #ccc;
}
tr:nth-child(even) {
background: #eee;
}
tr:nth-child(odd) {
background: #fff;
}
tr#header{
background: #B6C5D2;
color:#555;
}
div.header{
padding: 10px;
background: #e0ffc1;
width:60%;
color: #008000;
margin:5px;
}
div.error{
    margin-top:10px;
width: 50%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}
div#norecord{
margin-top:10px;
width: 15%;
margin-left: auto;
margin-right: auto;
}
</style>
<script>
function refreshPage(){
    location.reload();
}
</script>
</head>
<body style="margin: 0;padding: 0;">

<!-- Cabecera -->
<div style="width:96%; height:100px; background: #5C6D87;margin:0px; padding:10px 2%; color:#fff;-webkit-box-shadow: 0px 0px 10px 10px gba(0,0,0,0.2);
-moz-box-shadow: 0px 0px 10px 10px rgba(0,0,0,0.2); box-shadow: 0px 0px 10px 10px rgba(0,0,0,0.2);">
<table style="width:94%;" border=0>
<tr style="background: none;">
<td style="border: 0px; width:10%; text-align:left;"><img src="http://www.neko77.com/TFC_GlucoDiari/logo.png" WIDTH=79 HEIGHT=79 ALT="GlucoDiari"></td>
<td style="border: 0px; text-align:left;vertical-align:bottom;"><h2 style="font-weight:300; font-size:30px; padding:0px; margin:0px;">GlucoDiari</h2></td>
<td style="border: 0px; text-align:right; vertical-align:bottom; paddinf:0px"><h4 style="font-weight:300; font-size:18px; padding:0px; margin:0px;">Eina de Consulta de Diaris</h4></td>
<tr>
</table>
</div>
<!-- Fin Cabecera -->


<!-- Contenido -->
<div style="width:90%; margin:0px; padding:10px 5%;">


<!-- Formulario -->
<div style="border: 0px; text-align:right;">
<form name="form" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<p><label>Codi d'Usuari: </label>
<input type="text" title="Enter" name="Usuari" maxlength="6"/>

<input type="Submit" name="Submit" value="Consultar Diari" style="background-color: #4F4F4F;font-family: sans-serif;font-size:16px; font-weight:300; border: 0px solid #C6C6C6; padding: 6px 22px; margin-left: 5px;color: #FFF;border-radius: 0px;"/></p>
</form>
</div>
<!-- Fin Formulario -->


<?php
if(isset($_POST['Submit']))
{
	if((!preg_match('/^[0-9A-Z]{6,6}$/', $_POST['Usuari'])))
	{
		$Errores = "Si us plau, escriu en maj&uacute;scules el codi d'usuari de 6 xifres.";
	}else{          
		include_once 'db_functions.php';
		 $db = new DB_Functions();
		 $valors = $db->getAllValues($_POST['Usuari']);
		 if ($valors != false){
			$no_of_valors = mysql_num_rows($valors);
		 }else{
			$no_of_valors = 0;
		 }
		
		unset($Errores);
		
		if ($no_of_valors > 0) {
?>



<!-- Resultados -->
<p><label>Diari de l'Usuari: 
<?php
    echo $_POST['Usuari'];
?>
</label>
<br>
<table>
<tr id="header">
<td>Data</td>
<td style="width:20%;">Esmorzar</td>
<td style="width:20%;">Dinar</td>
<td style="width:20%;">Sopar</td>
<td style="width:20%;">Nit</td>
</tr>
<?php
    while ($row = mysql_fetch_array($valors)) {
        
?>
<tr>
<td><span><?php echo $row["Data"] ?></span></td>
<td
<?php
    if ($row["Esmorzar"] > 0 && $row["Esmorzar"] <= 80){
        echo ' style="background-color: rgba(246, 138, 17, 0.77); color:#fff;"';
    }elseif ($row["Esmorzar"] > 80 && $row["Esmorzar"] <= 150){
        echo ' style="background-color: rgba(81, 171, 92, 0.7); color: #FFF;"';
    }elseif ($row["Esmorzar"] > 150){
        echo ' style="background-color: rgba(245, 42, 9, 0.9); color: #FFF"';
    }else{
    }
?>
><span>
<?php
    if ($row["Esmorzar"] > 0){
        echo $row["Esmorzar"];
    }else{
        echo "-";
    }
    ?></span></td>


<td
<?php
    if ($row["Dinar"] > 0 && $row["Dinar"] <= 80){
        echo ' style="background-color: rgba(246, 138, 17, 0.77); color:#fff;"';
    }elseif ($row["Dinar"] > 80 && $row["Dinar"] <= 150){
        echo ' style="background-color: rgba(81, 171, 92, 0.7); color: #FFF;"';
    }elseif ($row["Dinar"] > 150){
        echo ' style="background-color: rgba(245, 42, 9, 0.9); color: #FFF"';
    }else{
    }
    ?>
><span>
<?php
    if ($row["Dinar"] > 0){
        echo $row["Dinar"];
    }else{
        echo "-";
    }
    ?></span></td>


<td
<?php
    if ($row["Sopar"] > 0 && $row["Sopar"] <= 80){
        echo ' style="background-color: rgba(246, 138, 17, 0.77); color:#fff;"';
    }elseif ($row["Sopar"] > 80 && $row["Sopar"] <= 150){
        echo ' style="background-color: rgba(81, 171, 92, 0.7); color: #FFF;"';
    }elseif ($row["Sopar"] > 150){
        echo ' style="background-color: rgba(245, 42, 9, 0.9); color: #FFF"';
    }else{
    }
    ?>
><span>
<?php
    if ($row["Sopar"] > 0){
        echo $row["Sopar"];
    }else{
        echo "-";
    }
    ?></span></td>


<td
<?php
    if ($row["Nit"] > 0 && $row["Nit"] <= 80){
        echo ' style="background-color: rgba(246, 138, 17, 0.77); color:#fff;"';
    }elseif ($row["Nit"] > 80 && $row["Nit"] <= 150){
        echo ' style="background-color: rgba(81, 171, 92, 0.7); color: #FFF;"';
    }elseif ($row["Nit"] > 150){
        echo ' style="background-color: rgba(245, 42, 9, 0.9); color: #FFF"';
    }else{
    }
    ?>
><span>
<?php
    if ($row["Nit"] > 0){
        echo $row["Nit"];
    }else{
        echo "-";
    }
    ?></span></td>
</tr>
<?php
    }
?>
</table>
<!-- Fin Resultados -->
<?php
    }else{
        $Errores = "Codi d'usuari incorrecte";
    }
    
	}
}
?>


<!-- Mensajes -->
<div class="error">
<?php
    echo $Errores;
?>
</div>
<!-- Fin Mensajes -->



</div>
<!-- Fin Contenido -->

</body>
</html>